import 'package:dio/dio.dart';

import '../../../../../core/locator/locator.dart';
import '../../../../../core/network/api_provider_imp.dart';

class ProfileApiProvider {
  ApiProviderImp get _api => locator<ApiProviderImp>();

  Future<Response> getMe() => _api.get('/me');
  Future<Response> getWallet() => _api.get('/wallet');
  Future<Response> getStats() => _api.get('/stats');

  Future<Response> updateProfile(String firstName, String avatar) =>
      _api.post('/profile', body: {'first_name': firstName, 'avatar': avatar});
}
